#!/bin/sh

# Copyright (c) 1999, 2000 Dag Brattli, All Rights Reserved.
# Copyright (c) 1999, 2000 Pontus Fuchs, All Rights Reserved.
# Copyright (C) 2001-2002  Jean Tourrilhes, All Rights Reserved.
# Copyright (C) 2002-2006  Marcel Holtmann, All Rights Reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA  02111-1307  USA

# config.h file based on the following settings
echo ". make sure you have bluez-libs compiled in your view"
echo ""
sleep 1
echo ".building"

export BLUEZ_LIBS=/vobs/Opera_3rdParty/PreBuilt/x86/
export BLUEZ_CFLAGS=/vobs/Opera_Platform_Linux/Linux_BSP/ifx-com-linux/source/user/opensource/bluez-libs-2.22/include

./configure --disable-irda --disable-usb --with-pic --enable-debug

make -f opera_makefile OPERA_TARGET=x86  DEBUG=NO  OPTIMIZE=NO
make -f opera_makefile OPERA_TARGET=x86  DEBUG=YES OPTIMIZE=NO
make -f opera_makefile OPERA_TARGET=x86  DEBUG=NO  OPTIMIZE=YES
make -f opera_makefile OPERA_TARGET=x86  DEBUG=YES OPTIMIZE=YES
make -f opera_makefile OPERA_TARGET=mips DEBUG=NO  OPTIMIZE=NO
make -f opera_makefile OPERA_TARGET=mips DEBUG=YES OPTIMIZE=NO
make -f opera_makefile OPERA_TARGET=mips DEBUG=NO  OPTIMIZE=YES
make -f opera_makefile OPERA_TARGET=mips DEBUG=YES OPTIMIZE=YES
make -f opera_makefile OPERA_TARGET=arm DEBUG=NO  OPTIMIZE=NO
make -f opera_makefile OPERA_TARGET=arm DEBUG=YES OPTIMIZE=NO
make -f opera_makefile OPERA_TARGET=arm DEBUG=NO  OPTIMIZE=YES
make -f opera_makefile OPERA_TARGET=arm DEBUG=YES OPTIMIZE=YES


echo ".done"
